Bug 169900 - Blank screen during shut-down process
Blank screen during shut-down process
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-04 17:10 EDT by Tim Camp
Modified: 2015-01-04 17:22 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 15:09:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Camp 2005-10-04 17:10:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When I shut down my Fedora core 4 installation, I find that as soon as the Gnome desktop disappears, the screen goes completely blank i.e. the screen doesn't enter a text mode in which the text messages displayed by the shut-down process should appear. The machine subsequently seems to shut down okay, but the shut-down process is not reported to the screen. (While booting-up, the text output is written to the screen without any problems).

At first this problem was intermittent - sometimes the shut-down process could be seen, at other times the screen was blank, but now it seems to be permanently blank. At times when the shut-down text was visible, I remember seeing some errors associated with some auditing process but I am not sure if this is a related issue.

Version-Release number of selected component (if applicable):
kernel-2.6.13-1.1526

How reproducible:
Always

Steps to Reproduce:
1.Choose Desktop > Logout > Shutdown from the Gnome desktop
2.
3.
  

Actual Results:  Gnome desktop seems to end normally: wallpaper dims, menu bars disappear, wallpaper temporarily brightens and then vanishes. My screen "clicks" as it leaves a graphics mode but then nothing further appears on the screen. About 30 seconds later, the PC powers down.

Expected Results:  After the desktop disappears and the screen "clicks" into a text mode, text describing the success of the various stages of the shut-down process should be displayed.

Additional info:

This problem was intially intermittent, but now occurs on every shut-down. When the shut-down text was still being displayed, I noticed an error associated with some audit process displayed during shut-down. I don't know if this is a related issue.
Comment 1 Dave Jones 2005-11-05 02:27:58 EST
what graphics card ? which X driver is being used ?
Comment 2 Tim Camp 2005-11-06 10:26:38 EST
Graphics card is NVIDIA RIVA TNT2 Model 64.
XORG-X11 is Version 6.8.2, Release 37.FC4.49.2

Although I'm a relative 'newbie', I suspect that the X system is not running
when the problem occurs. The Gnome desktop seems to close normally, but the
normal text output showing the shutdown process doesn't show for about 80% of
shutdowns.

Thanks.
Comment 3 Dave Jones 2005-11-07 00:29:50 EST
do you have the nvidia driver installed ?
Comment 4 Tim Camp 2005-11-08 16:51:38 EST
I don't think so...

System settings > Display > Hardware tab  correctly identifies my video card as
RIVA TNT 2. However I have not explicitly installed a NVIDIA driver and so I
suspect I am using the NV driver.

Unfortunately NVIDIA no longer support the RIVA TNT2 Model 64 under their
unified driver. Despite saying (on the NVIDIA web site) that the RIVA TNT2 Model
64 will be supported with a legacy driver, I've not been able to find this - as
other people report on various web sites.

Perhaps I need either (a) to live with this bug, or (b) upgrade my video card.

Thanks for your suggestions.
Comment 5 Dave Jones 2005-11-10 15:18:34 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 6 Tim Camp 2005-11-16 15:25:25 EST
I have updated the kernel to 2.6.14-1.1637_FC4 but the problem is still present.
On approximately 70% of shutdowns, no text is displayed following the closing of
the Gnome desktop. On the remaining 30%, the shutdown report is displayed as normal.

As previously mentioned, I haven't installed an NVIDIA driver (but this doesn't
seem to be possible now that NVIDIA have stopped supporting my RIVA TNT2 Model
64 card).

Thanks.
Comment 7 Dave Jones 2006-02-03 02:20:35 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 8 Tim Camp 2006-02-12 12:53:33 EST
Since the last correspondence regarding this bug I have:
1) updated my graphics card to an NVIDIA FeForce FX5500
2) installed the NVIDIA driver
3) upgraded to the latest kernel: 2.6.15-1.1831_FC4

However I'm still finding that the shutdown text only appears in about 1 in 3
shutdowns. At other times, my screen is blank during the shutdown process.

If I can supply any other information, please let me know.
Comment 9 Dave Jones 2006-02-26 23:53:28 EST
same problem with the 'nv' driver ?
Comment 10 John DeDourek 2006-02-28 09:19:54 EST
I can confirm that this problem exists on a yum-updated FC4 system using Intel
915G graphics.  Hopefully the relevant data:

rpm reports
   kernel-smp-2.6.15-1.1831_FC4
uname -a reports
    ... 2.6.15-1.1831_FC4smp #1 SMP ... i686 ...
A miscellaneous line from dmesg
    Boot video device is 0000:0:02.0
/sbin/lspci reports
    00:02.0 VGA compatible controller: Intel Corporation 82915G/GV/l10GL 
           Express Chipset Family Graphics Controller (rev 04)
/sbin/lsmod reports
    i915       23233   1
    drm        76885   2  i915
from /boot/grub/grub.conf
    title Fedora Core (2.6..15-1.1831_FC4)
           root (hd0,2)
           kernel /vmlinuz-2.6.15-1.1831_FC4 ro root=/dev/VolGroup00/LogVo100
                 rhgb quiet
           initrd /initrd-2.6.15-1.1831_FC4.img
All the above was typed by hand rather than "cut and paste", so apologies
in advance for any typos.
Comment 11 Matthias Bachert 2006-03-02 04:57:40 EST
This bug is still valid for the current development tree.
Comment 12 Mary Ellen Foster 2006-03-03 05:08:30 EST
For me, if I hit "shift" or anything else during the shutdown process, I do see
the messages; it's just that the screen seems to be in power-save mode or
something. I have an nVidia card (forget exact model, sorry), using the "nv" driver.
Comment 13 Matthias Bachert 2006-03-03 10:17:38 EST
For me, hitting "shift" did help in FC4 but it doesn't in the current
development version. Graphics Card: Matrox G550 using the "mga" driver.
Comment 14 Dave Jones 2006-09-16 23:08:23 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 15 Dave Jones 2006-10-16 20:15:29 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 16 John DeDourek 2006-10-18 20:32:50 EDT
This problem is still present on my laptop with the latest kernel: 2.6.18-1.2200.fc5

As with some other reporters, it appears to be intermittent, but the screen is
blank on significantly more shutdowns than it correctly displays the messages.

As with many other reports, hitting any key, including the shift keys, causes
the display of shutdown messages to appear.

The laptop is an IBM Thinkpad T42.

The graphics card is reported as: 01:00.0 VGA compatible controller: ATI
Technologies Inc RV350 [Mobility Radeon 9600 M10]

Therefore, the problem does not appear to be specific to NVideo or Intel
graphics drivers.

No nonstandard graphics drivers have ever been installed on this system.  The
graphics drivers and X system are those from Fedora Core and Updates.

Unfortunately, the kernel is tainted by the need to install the MadWifi Atheros
wireless driver from Livna in order to have operational wireless.

Please leave this bug open for FC5.
Comment 17 Dave Jones 2006-11-12 01:24:11 EST
ajax, any ideas ? This one is puzzling in that it affects a number of different
video drivers.
Comment 18 John DeDourek 2006-11-14 08:23:22 EST
Still a problem with kernel-2.6.18-1.2239.fc5.  That was probably expected, but
it's sometimes good to have another testpoint.  See Comment #16 for particulars
on  the system.
Comment 19 Mate Wierdl 2007-01-20 07:27:17 EST
I have been having the same problem---but always, not just intermittently.  In
addition, I cannot switch to any of the virtual screens (C-A F1, say); the
screen just freezes.  But then I can swith back to VC7.  For me, because of the
inability to switch to VCs is a severe problem, so I recommend to change to
"high".  My hardware info is at bug 220269, which bug also explains why I cannot
update to the latest kernel---or to  FC6. 
Comment 20 Adam Jackson 2007-01-29 18:44:49 EST
Think this could be a side-effect of the bad vt-activate sequence we hit over
and over again in FC6.  Would be interesting to know if anyone sees this on FC7.

And, in fact, I should get the final version of that fix into FC6 too.
Comment 21 Mate Wierdl 2007-01-30 18:34:02 EST
Here is a definitive fix for me: remove the "rhgb quiet" boot flag from grub.  I
can then even switch between virtual screens---which I have not been able to do
for months.  I did test this fix: if I put back the option, the problem is back
without exception.

I also tested this with the latest kernel for FC5--since luckily I found a fix
to bug 220269 as well.
Comment 22 Mate Wierdl 2007-01-30 18:45:49 EST
I forgot: the kernel version is 2.6.18-1.2257.fc5.  Please also see bug  207746.
Comment 23 Adam Jackson 2007-04-02 16:19:43 EDT
So has anyone seen this in FC6?
Comment 24 Adam Jackson 2007-04-13 09:52:56 EDT
Re-ping.  Has anyone seen this in FC6?
Comment 25 Adam Jackson 2007-05-26 15:09:13 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.